Get conversation statistics grouped by inbox
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 1,
"conversations_count": 150,
"resolved_conversations_count": 120,
"avg_resolution_time": 3600,
"avg_first_response_time": 300,
"avg_reply_time": 600
},
{
"id": 2,
"conversations_count": 75,
"resolved_conversations_count": 60,
"avg_resolution_time": 1800,
"avg_first_response_time": 180,
"avg_reply_time": 420
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Reports
Get conversation statistics grouped by inbox
Get conversation statistics grouped by inbox for a given date range. Returns metrics for each inbox including conversation counts, resolution counts, average first response time, average resolution time, and average reply time.
GET
/
api
/
v2
/
accounts
/
{account_id}
/
summary_reports
/
inbox
Get conversation statistics grouped by inbox
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/inbox"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 1,
"conversations_count": 150,
"resolved_conversations_count": 120,
"avg_resolution_time": 3600,
"avg_first_response_time": 300,
"avg_reply_time": 600
},
{
"id": 2,
"conversations_count": 75,
"resolved_conversations_count": 60,
"avg_resolution_time": 1800,
"avg_first_response_time": 180,
"avg_reply_time": 420
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Query Parameters
Response
Success
Example:
[ { "id": 1, "conversations_count": 150, "resolved_conversations_count": 120, "avg_resolution_time": 3600, "avg_first_response_time": 300, "avg_reply_time": 600 }, { "id": 2, "conversations_count": 75, "resolved_conversations_count": 60, "avg_resolution_time": 1800, "avg_first_response_time": 180, "avg_reply_time": 420 } ]